package org.esupportail.portal.channels.gestion.CConsultHarpege;

public class Utils {
    /**
     * Echappe les caractères spéciaux XML
     * @param in La chaîne à échapper
     * @return La chaîne échappée
     */
    public static String xmlEscape(String in) {
        if(in == null) {
            return "";
        }
        String out = in.replaceAll("&", "&#38;");
        out = out.replaceAll("<", "&#60;");
        out = out.replaceAll(">", "&#62;");
        out = out.replaceAll("\"", "&#34;");
        return out;
    }
}
